
/*
** --------------------------------------------------------------------
** dlgbez.h - Prototypes module that establish the pre-defined
**            dialogs of the library to capture beziers. 
**
** Created:    10-Sep-01    William W. M. Lira.
**
**
*/

#ifndef _CLLDLGBEZIER_H
#define _CLLDLGBEZIER_H

#ifdef __cplusplus
extern "C" {
#endif

/* Public functions: */

int DlgCaptureBezier  ( float *px1, float *py1, float *px2, float *py2,
                        float *px3, float *py3, float *px4, float *py4,
		        float *tol ) ;
int DlgCapturePBezier ( float *x0, float *y0 );
int DlgCaptureLBezier ( float *px1, float *py1, float *px2, float *py2,
                        float *px3, float *py3, float *px4, float *py4 ) ;


#ifdef __cplusplus
}
#endif

#endif
