
/*
** --------------------------------------------------------------------
** dlgcircl.h - Prototypes module that establish the pre-defined
**              dialogs of the library to capture circles. 
**
** Created:    10-Sep-01    William W. M. Lira.
**
**
*/

#ifndef _CLLDLGCIRCL_H
#define _CLLDLGCIRCL_H

#ifdef __cplusplus
extern "C" {
#endif

/* Public functions: */

int DlgCaptureCircle  ( float *x0, float *y0, float *r, float *tol ) ;
int DlgCaptureFCircle ( float *x0, float *y0 );
int DlgCaptureSCircle ( float *x0, float *y0, float *r );

#ifdef __cplusplus
}
#endif

#endif
