/*
** --------------------------------------------------------------------
** dlgelparc.h - Prototypes module that establish the pre-defined
**               dialogs of the library to capture elypse arcs. 
**
** Created:    11-Mar-05    Marcos C. de Arruda.
**
**
*/

#ifndef _CLLDLGELPARC_H
#define _CLLDLGELPARC_H

#ifdef __cplusplus
extern "C" {
#endif

/* Public functions: */

int DlgCaptureElpArc ( double *xc, double *yc, double *a, double *b, 
                       double *ang, double *x0, double *y0, double *x1, 
                       double *y1, double *tol );
int DlgCapture1ElpArc( double *xc, double *yc );
int DlgCapture2ElpArc( double *a, double *ang );
int DlgCapture3ElpArc( double *b );
int DlgCapture4ElpArc( double *x0, double *y0 );
int DlgCapture5ElpArc( double *xc, double *yc, double *a, double *b, 
                       double *ang, double *p0x, double *p0y, double *p1x, 
                       double *p1y );
#ifdef __cplusplus
}
#endif

#endif
