
/*
** --------------------------------------------------------------------
** dlgmirr.h - Prototypes module that establish the pre-defined
**              dialogs of the library to capture mirror segments. 
**
** Created:    07-Aug-02    Marcos C. de Arruda.
**
**
*/

#ifndef _CLLDLGMIRR_H
#define _CLLDLGMIRR_H

#ifdef __cplusplus
extern "C" {
#endif

/* Public functions: */

int DlgCaptureMirror ( float *x1, float *y1, float *x2, float *y2, float *tol );
int DlgCaptureFMirror ( float *x1, float *y1 );
int DlgCaptureSMirror ( float *x1, float *y1, float *x2, float *y2 );

#ifdef __cplusplus
}
#endif

#endif
