
/*
** --------------------------------------------------------------------
** dlgrotat.h - Prototypes module that establish the pre-defined
**              dialogs of the library to rotate images. 
**
** Created:    08-Aug-02    Marcos C. de Arruda.
**
**
*/

#ifndef _CLLDLGROTAT_H
#define _CLLDLGROTAT_H

#ifdef __cplusplus
extern "C" {
#endif

/* Public functions: */

int DlgCaptureRotate  ( float *cx, float *cy, float *ang, float *tol );
int DlgCaptureFRotate ( float *cx, float *cy );
int DlgCaptureSRotate ( float *x1, float *y1 );
int DlgCaptureTRotate ( float *cx, float *cy, float *x1, float *y1, 
                        float *x2, float *y2 );

#ifdef __cplusplus
}
#endif

#endif
