/* $Id: nd.h,v 1.1 1997/05/19 11:24:22 lfm Exp $ */
/*
**   nd.h - Prototype of NDC viewport functions.
**
**   ---------------------------------------------------------------
*/
#ifndef ND_H
#define ND_H

#include "wd.h"

#ifdef __cplusplus
extern "C" {
#endif

int  ndActivate( cdCanvas *cd_cv );
void ndGetCanvasSize( int *width, int *height,
                      double *ndc_width, double *ndc_height );
void ndReset( double xmin, double xmax, double ymin, double ymax );
int  ndPushNdc( double xmin, double xmax, double ymin, double ymax );
int  ndPopNdc( void );
void ndGetNdcArea( double *xmin, double *xmax, double *ymin, double *ymax );
void ndClipArea( double xmin, double xmax, double  ymin, double ymax );
int  ndGetClipArea( double *xmin, double *xmax, double *ymin, double *ymax );
void ndViewport( double xmin, double xmax, double ymin, double ymax );
void ndGetViewport( double *xmin, double *xmax, double *ymin, double *ymax );
#define wdWorld2Pixel wdWorld2Canvas
#define wdPixel2World wdCanvas2World
void ndWorld2Ndc( double xw, double yw, double *xndc, double *yndc );
void ndNdc2World( double xndc, double yndc, double *xw, double *yw );
void ndNdc2Pixel( double xndc, double yndc, int *xr, int *yr );
void ndPixel2Ndc( int xr, int yr, double *xndc, double *yndc );

#ifdef __cplusplus
}
#endif

#endif
