
/*
** --------------------------------------------------------------------
** dlgarc.h - Prototypes module that establish the pre-defined
**            dialogs of the library to capture arcs. 
**
** Created:    10-Sep-01    William W. M. Lira.
**
**
*/

#ifndef _CLLDLGARC_H
#define _CLLDLGARC_H

#ifdef __cplusplus
extern "C" {
#endif

/* Public functions: */

int DlgCaptureArc ( float *cx, float *cy, float *p1x, float *p1y,
                                          float *p2x, float *p2y, float *tol ) ;
int DlgCaptureFArc( float *cx, float *cy );
int DlgCaptureSArc( float *p1x, float *p1y );
int DlgCaptureTArc( float *cx, float *cy, float *p1x, float *p1y,
		                          float *p2x, float *p2y );

#ifdef __cplusplus
}
#endif

#endif
