
/*
** --------------------------------------------------------------------
** dlgdimln.h - Prototypes module that establish the pre-defined
**              dialogs of the library to rotate images. 
**
** Created:    08-Aug-02    Marcos C. de Arruda.
**
**
*/

#ifndef _CLLDLGDIMLN_H
#define _CLLDLGDIMLN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Public functions: */

int DlgCaptureDimLn  ( float *x1, float *y1, float *x2, float *y2, 
                       float *xref, float *yref, float *tol );
int DlgCaptureFDimLn ( float *cx, float *cy );
int DlgCaptureSDimLn ( float *x1, float *y1 );
int DlgCaptureTDimLn ( float *cx, float *cy, float *x1, float *y1, 
                       float *x2, float *y2 );

#ifdef __cplusplus
}
#endif

#endif
