/*
** --------------------------------------------------------------------
** dlgelipse.h - Prototypes module that establish the pre-defined
**               dialogs of the library to capture elipses. 
**
** Created:    18-Mar-05    Marcos C. de Arruda.
**
**
*/

#ifndef _CLLDLGELIPSE_H
#define _CLLDLGELIPSE_H

#ifdef __cplusplus
extern "C" {
#endif

/* Public functions: */

int DlgCaptureElipse ( double *xc, double *yc, double *a, double *b, 
                       double *ang, double *tol );
int DlgCapture1Elipse( double *xc, double *yc );
int DlgCapture2Elipse( double *a, double *ang );
int DlgCapture3Elipse( double *xc, double *yc, double *a, double *b, 
                       double* ang );

#ifdef __cplusplus
}
#endif

#endif
