
/*
** --------------------------------------------------------------------
** dlgmove.h - Prototypes module that establish the pre-defined
**              dialogs of the library to move images. 
**
** Created:    07-Aug-02    Marcos C. de Arruda.
**
**
*/

#ifndef _CLLDLGMOVE_H
#define _CLLDLGMOVE_H

#ifdef __cplusplus
extern "C" {
#endif

/* Public functions: */

int DlgCaptureMove  ( float *dx, float *dy, float *tol );
int DlgCaptureFMove ( float *x1, float *y1 );
int DlgCaptureSMove ( float *x1, float *y1, float *x2, float *y2 );

#ifdef __cplusplus
}
#endif

#endif
