
/*
** --------------------------------------------------------------------
** dlgscale.h - Prototypes module that establish the pre-defined
**              dialogs of the library to scale images. 
**
** Created:    08-Aug-02    Marcos C. de Arruda.
**
**
*/

#ifndef _CLLDLGSCALE_H
#define _CLLDLGSCALE_H

#ifdef __cplusplus
extern "C" {
#endif

/* Public functions: */

int DlgCaptureScale  ( float *cx, float *cy, float *fac, float *tol );
int DlgCaptureFScale ( float *cx, float *cy );
int DlgCaptureSScale ( float *x1, float *y1 );
int DlgCaptureTScale ( float *cx, float *cy, float *x1, float *y1, 
                       float *x2, float *y2 );

#ifdef __cplusplus
}
#endif

#endif
