
/*
** --------------------------------------------------------------------
** dlgspline.h - Prototypes module that establish the pre-defined
**               dialogs of the library to capture splines. 
**
** Created:    30-Dec-02    Marcos C. de Arruda.
**
**
*/

#ifndef _CLLDLGSPLINE_H
#define _CLLDLGSPLINE_H

#ifdef __cplusplus
extern "C" {
#endif

/* Public functions: */

int DlgCaptureNSpline ( int *np, float *tol );
int DlgCaptureXSpline ( float *x0, float *y0 );
int DlgCaptureDerSpline ( float *fderx, float *fdery, float *lderx, float *ldery );


#ifdef __cplusplus
}
#endif

#endif
