/* $Id: wimfence.h,v 1.1 1997/08/07 11:09:09 lfm Exp $ */
/*
** wimfence.h - Definitions and prototypes of package to interactively 
**              get a fence from the user to map a background image 
**              from raster to world coordinate space (see wim.c module).
**
** Modified:   21-Apr-2004    William Lira
**     Replaced "void *" by "Ihandle *" in declarations of IUP handles.
**
*/

#ifndef _WIMFENCE_H
#define _WIMFENCE_H

#include "iup.h"

void wimGetFence( Ihandle *iup_cv, void *cd_cv,
                  void (*end_action)( Ihandle *iup_cv, int status ),
                  void (*prompt)( Ihandle *iup_cv, char *msg ),
                  int (*put)( int vxmin, int vxmax,
                              int vymin, int vymax,
                              double wxmin, double wxmax,
                              double wymin, double wymax ) );

#endif
